Draft Rotate: Difference between revisions

From FreeCAD Documentation
m (template fr)
No edit summary
Line 1: Line 1:
{{GuiCommand|Name=Draft Rotate|Workbenches=[[Draft Module|Draft]]|MenuLocation=Draft -> Rotate|Shortcut=R O}}
{{GuiCommand|Name=Draft Rotate|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Rotate|Shortcut=R O}}


====Description====
==Description==


This tool rotates the selected objects. If no object is selected, you will be invited to select one. Then, the user is asked for the rotation center, the start angle and the rotation angle.
This tool rotates or copies the selected objects by a given angle around a point on the current [[Draft Workingplane|work plane]]. If no object is selected, you will be invited to select one.


[[Image:Draft_Rotate_example.jpg]]
[[Image:Draft_Rotate_example.jpg|400px]]


====Usage====
==How to use==


# Select objects you wish to rotate or copy
* Picking a point on an empty area of the 3d view, or on an existing object.
# Press the {{KEY|[[Image:Draft Rotate.png|16px]] [[Draft Move]]}} button, or press {{KEY|R}} then {{KEY|O}} keys
* Pressing {{KEY|CTRL}} will [[Draft_Snap|snap]] your point to availible snap locations.
# Click a center point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
* Pressing {{KEY|SHIFT}} will [[Draft_Constrain|constrain]] you vertically or horizontally in relation to the rotation center.
# Click a second point on the 3D view, or give a reference angle
* Pressing {{KEY|ESC}} will cancel the operation.
# Click a third point on the 3D view, or give a rotation angle
* Enter numbers to [[Draft_Coordinates|manually insert a coordinate]].
* {{KEY|C}} switches the copy mode on/off. With Copy on, new objects will be created instead of rotating existing objects.
* Pressing {{KEY|ALT}} will make a copy, even if the Copy check button is off.
* If {{KEY|ALT}} is pressed, you will be able to make multiple copies until {{KEY|ALT}} is released.


==Options==

* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after a point to constrain the next point on the given axis.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Rotate tool will restart after you finish or close it, allowing you to rotate or copy the objects another time without pressing the Rotate button again.
* Pressing {{KEY|ALT}} or {{KEY|C}} or clicking the {{KEY|'''Copy'''}} button will make a copy of the objects, instead of rotating them. If you keep {{KEY|ALT}} pressed after clicking the third point, you will be able to place more copies, until you release the {{KEY|ALT}} key.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Press {{KEY|SHIFT}} while drawing to [[Draft_Constrain|constrain]] your next point horizontally or vertically in relation to the rotation center.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current command.

==Scripting==

The Rotate tool can by used in [[macros]] and from the python console the following way:

import FreeCAD,Draft
Draft.rotate(FreeCAD.ActiveDocument.ActiveObject,45,copy=False)


{{languages | {{es|Draft Rotate/es}} {{fr|Draft Rotate/fr}} {{it|Draft Rotate/it}} {{se|Draft Rotate/se}} }}
{{languages | {{es|Draft Rotate/es}} {{fr|Draft Rotate/fr}} {{it|Draft Rotate/it}} {{se|Draft Rotate/se}} }}

Revision as of 20:46, 19 August 2012

Draft Rotate

Menu location
Draft -> Rotate
Workbenches
Draft, Arch
Default shortcut
R O
Introduced in version
-
See also
None

Description

This tool rotates or copies the selected objects by a given angle around a point on the current work plane. If no object is selected, you will be invited to select one.

How to use

  1. Select objects you wish to rotate or copy
  2. Press the Draft Move button, or press R then O keys
  3. Click a center point on the 3D view, or type a coordinate
  4. Click a second point on the 3D view, or give a reference angle
  5. Click a third point on the 3D view, or give a rotation angle

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Rotate tool will restart after you finish or close it, allowing you to rotate or copy the objects another time without pressing the Rotate button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of rotating them. If you keep ALT pressed after clicking the third point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the rotation center.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Rotate tool can by used in macros and from the python console the following way:

import FreeCAD,Draft
Draft.rotate(FreeCAD.ActiveDocument.ActiveObject,45,copy=False)
Available translations of this page: Template:Se